Page MenuHomePhabricator

[feature request] use symbol directly when manually entering numbers with units in quantity datatype of Wikidata
Closed, DuplicatePublic

Description

When adding quantities manually, it would helpful if units could be parsed directly.

This at least when there are preferred units defined on a property and the abbreviation given matches this.

Sample:
*enter "10 m" in a statement for height (P2048)
*https://www.wikidata.org/wiki/Property:P2048#P2273 lists Q11573 as one of the units for the property
*https://www.wikidata.org/wiki/Q11573#P558 has a couple of unit symbols, including "m"
*So, "10 m" should result in 10 with unit Q11573

Event Timeline

Esc3300 created this task.Jul 10 2017, 1:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2017, 1:33 PM
Jc3s5h added a subscriber: Jc3s5h.Jul 10 2017, 7:29 PM
Esc3300 added a comment.EditedJul 11 2017, 6:40 AM

Thanks for merging it. It does cover the same.

On the other hand, it does provide a specific solution for an [Epic] that doesn't seem to have moved ahead. Maybe we should just make the other a parent task.

Esc3300 renamed this task from use symbol directly when manually entering numbers with units in quantity datatype of Wikidata to [feature request] use symbol directly when manually entering numbers with units in quantity datatype of Wikidata.Jul 12 2017, 1:16 PM
Esc3300 reopened this task as Open.

Let's please keep this closed as a duplicate. We already have too many tasks open. No need to have several for the same thing.

Actually, I wrote [epic], but the parent task seems to be a [story].

According to the explanation given "Epics are long-themed tasks with many subtasks. This tag is also used for goals identified in WMF's quarterly planning process", ""Story": This is a tag used to identify stories (breakdowns of epics)."

Neither seems appropriate for an actual task/feature request.

@Esc3300 a feature request is a user story. This ticket is actually a good example of a story. A task would be about all the things that need to be done to implement the requested feature. Epics are collections of stories.